formulaire:
    onglet:
        data:
            name: 'Métadonnées du bordereau'
            read-only: true
            type: file
            visionneuse: SedaGeneriqueVisionneuse
        files:
            name: "Fichier de l'archive"
            read-only: true
            type: file
            visionneuse: Pastell\Viewer\XmlViewer
        fill-data:
            name: 'Métadonnées du bordereau'
            edit-only: true
            type: externalData
            link_name: 'Gérer les métadonnées du bordereau'
            choice-action: fill-data
        fill-files:
            name: 'Fichier du bordereau'
            edit-only: true
            type: externalData
            link_name: 'Gérer les fichiers du bordereau'
            choice-action: fill-files
        hash_algorithm:
            name: 'Algorithme de hash des fichiers'
            commentaire: "Algorithme utilisé pour calculer l'empreinte des fichiers"
            type: select
            value:
                - 'SHA-256'
                - 'SHA-512'
        template:
            name: 'Template du bordereau'
            type: file
            commentaire: 'Template twig du bordereau (utilisation avancée uniquement)'
        advanced_data:
            name: 'Données JSON'
            type: file
            commentaire: '(utilisation avancée uniquement)'
        seda_generator_url:
            name: 'URL du générateur de SEDA'
            commentaire: "Remplace l'URL définie au niveau du connecteur global"
action:
    fill-data:
        name: 'Configurer les métadonnées'
        rule:
            role_id_e: no-role
        action-class: SedaGeneriqueFillData
    fill-files:
        name: 'Configurer les fichiers'
        rule:
            role_id_e: no-role
        action-class: SedaGeneriqueFillFiles
    test-connexion:
        name: 'Tester la connexion'
        action-class: SedaGeneriqueTestConnexion
    test-generation:
        name: 'Générer un bordereau de test'
        action-class: SedaGeneriqueDisplayTestBordereau
